DELETE FROM REQPRO.RQDOCUMENTTYPEUSERS
WHERE PROJECTID = &1

DELETE FROM REQPRO.RQREQUIREMENTTYPEUSERS
WHERE PROJECTID = &1

DELETE FROM REQPRO.RQUSERDEFINEDFIELDUSERS
WHERE PROJECTID = &1

DELETE FROM REQPRO.RQUSERDEFINEDLISTITEMUSERS
WHERE PROJECTID = &1

DELETE FROM REQPRO.RQUSERS
WHERE GROUPID IN
   (SELECT USERGROUPID
   FROM REQPRO.RQPROJECTUSERS
   WHERE PROJECTID = &1)

DELETE FROM REQPRO.RQUSERGROUPS
WHERE ID IN
   (SELECT USERGROUPID
   FROM REQPRO.RQPROJECTUSERS
   WHERE PROJECTID = &1)

DELETE REQPRO.RQDISCUSSIONS
WHERE ROOTID IN
   (SELECT DISCUSSIONID
   FROM REQPRO.RQPROJECTDISCUSSIONS
   WHERE PROJECTID = &1)

DELETE REQPRO.RQOVERFLOWHISTORY
WHERE OVERFLOWTYPE = 2
AND OVERFLOWID IN
   (SELECT DOCUMENTID
   FROM REQPRO.RQPROJECTDOCUMENTS
   WHERE PROJECTID = &1)

DELETE REQPRO.RQDOCUMENTS
WHERE ID IN
   (SELECT DOCUMENTID
   FROM REQPRO.RQPROJECTDOCUMENTS
   WHERE PROJECTID = &1)

DELETE REQPRO.RQDOCUMENTTYPES
WHERE ID IN
   (SELECT DOCUMENTTYPEID
   FROM REQPRO.RQPROJECTDOCUMENTTYPES
   WHERE PROJECTID = &1)

DELETE REQPRO.RQTORELATIONSHIPS
WHERE EXTERNALPROJECTID = 0
AND REQUIREMENTID IN
   (SELECT REQUIREMENTID
   FROM REQPRO.RQPROJECTREQUIREMENTS
   WHERE PROJECTID = &1)

DELETE REQPRO.RQTORELATIONSHIPS
WHERE EXTERNALPROJECTTOID = 0
AND TOID IN
   (SELECT REQUIREMENTID
   FROM REQPRO.RQPROJECTREQUIREMENTS
   WHERE PROJECTID = &1)

DELETE REQPRO.RQOVERFLOWHISTORY
WHERE OVERFLOWTYPE = 1
AND OVERFLOWID IN
   (SELECT REQUIREMENTID
   FROM REQPRO.RQPROJECTREQUIREMENTS
   WHERE PROJECTID = &1)

DELETE REQPRO.RQREQUIREMENTS
WHERE ID IN
   (SELECT REQUIREMENTID
   FROM REQPRO.RQPROJECTREQUIREMENTS
   WHERE PROJECTID = &1)

DELETE REQPRO.RQUSERDEFINEDFIELDS
WHERE ID IN
   (SELECT USERDEFINEDFIELDID
   FROM REQPRO.RQREQUIREMENTTYPEFIELDS F, REQPRO.RQPROJECTREQUIREMENTTYPES P
   WHERE F.REQUIREMENTTYPEID = P.REQUIREMENTTYPEID
   AND PROJECTID = &1)

DELETE REQPRO.RQREQUIREMENTTYPES
WHERE ID IN
   (SELECT REQUIREMENTTYPEID
   FROM REQPRO.RQPROJECTREQUIREMENTTYPES
   WHERE PROJECTID = &1)

DELETE REQPRO.RQQUERYDEFINITIONS
WHERE ID IN
   (SELECT QUERYID
   FROM REQPRO.RQVIEWS
   WHERE PROJECTID = &1)

DELETE REQPRO.RQQUERYDEFINITIONS
WHERE ID IN
   (SELECT SECONDARYQUERYID
   FROM REQPRO.RQVIEWS
   WHERE PROJECTID = &1)

DELETE REQPRO.RQOVERFLOWHISTORY
WHERE OVERFLOWTYPE = 3
AND OVERFLOWID = &1

DELETE FROM REQPRO.RQPROJECTS
WHERE ID = &1


